<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from cookbook.texi on 28 April 1999 -->

<TITLE>The SUIF COOKBOOK - Index</TITLE>
<link href="cookbook_7.html" rel=Previous>
<link href="cookbook_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="cookbook_1.html">first</A>, <A HREF="cookbook_7.html">previous</A>, next, last section, <A HREF="cookbook_toc.html">table of contents</A>.
<P><HR><P>


<H1><A NAME="SEC43" HREF="cookbook_toc.html#TOC43">Index</A></H1>
<P>
<H2>.</H2>
<DIR>
<LI><A HREF="cookbook_2.html#IDX16">.spd</A>
</DIR>
<H2>a</H2>
<DIR>
<LI><A HREF="cookbook_7.html#IDX298">access_vector</A>
<LI><A HREF="cookbook_7.html#IDX315">annotations, creating and using</A>
<LI><A HREF="cookbook_3.html#IDX40">array instructions</A>, <A HREF="cookbook_4.html#IDX105">array instructions</A>, <A HREF="cookbook_5.html#IDX179">array instructions</A>, <A HREF="cookbook_7.html#IDX316">array instructions</A>
<LI><A HREF="cookbook_4.html#IDX107">array operations, advanced</A>, <A HREF="cookbook_5.html#IDX181">array operations, advanced</A>, <A HREF="cookbook_7.html#IDX318">array operations, advanced</A>
<LI><A HREF="cookbook_7.html#IDX296">array_info</A>
<LI><A HREF="cookbook_7.html#IDX297">array_info_iter</A>
<LI><A HREF="cookbook_4.html#IDX98">assert()</A>, <A HREF="cookbook_5.html#IDX166">assert()</A>, <A HREF="cookbook_6.html#IDX239">assert()</A>
</DIR>
<H2>b</H2>
<DIR>
<LI><A HREF="cookbook_7.html#IDX259">base_symtab</A>
<LI><A HREF="cookbook_6.html#IDX241">block</A>
<LI><A HREF="cookbook_6.html#IDX242">block()</A>
<LI><A HREF="cookbook_6.html#IDX243">block::make_tree_node()</A>
<LI><A HREF="cookbook_7.html#IDX260">block::set_proc()</A>
<LI><A HREF="cookbook_7.html#IDX313">builder, use of</A>
</DIR>
<H2>c</H2>
<DIR>
<LI><A HREF="cookbook_6.html#IDX252">changing suif code</A>
<LI><A HREF="cookbook_7.html#IDX320">cloning</A>
<LI><A HREF="cookbook_4.html#IDX108">creating and using generic list classes</A>, <A HREF="cookbook_5.html#IDX183">creating and using generic list classes</A>
</DIR>
<H2>d</H2>
<DIR>
<LI><A HREF="cookbook_4.html#IDX64">DECLARE_DLIST_CLASS</A>, <A HREF="cookbook_5.html#IDX132">DECLARE_DLIST_CLASS</A>, <A HREF="cookbook_6.html#IDX206">DECLARE_DLIST_CLASS</A>
<LI><A HREF="cookbook_4.html#IDX61">dependence.h</A>, <A HREF="cookbook_5.html#IDX129">dependence.h</A>, <A HREF="cookbook_6.html#IDX203">dependence.h</A>
<LI><A HREF="cookbook_5.html#IDX170">DependenceTest()</A>
<LI><A HREF="cookbook_5.html#IDX169">dvlist</A>
<LI><A HREF="cookbook_5.html#IDX171">dvlist::indep()</A>
<LI><A HREF="cookbook_5.html#IDX172">dvlist::print()</A>
</DIR>
<H2>f</H2>
<DIR>
<LI><A HREF="cookbook_5.html#IDX174">fill_in_access</A>
</DIR>
<H2>g</H2>
<DIR>
<LI><A HREF="cookbook_2.html#IDX12">g++</A>
<LI><A HREF="cookbook_5.html#IDX173">get_sym_of_array()</A>
</DIR>
<H2>i</H2>
<DIR>
<LI><A HREF="cookbook_7.html#IDX261">immed_list</A>
<LI><A HREF="cookbook_4.html#IDX65">in_array</A>, <A HREF="cookbook_5.html#IDX133">in_array</A>, <A HREF="cookbook_7.html#IDX256">in_array</A>
<LI><A HREF="cookbook_3.html#IDX17">instruction</A>, <A HREF="cookbook_4.html#IDX42">instruction</A>, <A HREF="cookbook_5.html#IDX110">instruction</A>, <A HREF="cookbook_6.html#IDX184">instruction</A>, <A HREF="cookbook_7.html#IDX255">instruction</A>
<LI><A HREF="cookbook_3.html#IDX19">instruction::format()</A>, <A HREF="cookbook_4.html#IDX44">instruction::format()</A>, <A HREF="cookbook_5.html#IDX112">instruction::format()</A>, <A HREF="cookbook_6.html#IDX186">instruction::format()</A>
<LI><A HREF="cookbook_3.html#IDX22">instruction::num_srcs()</A>, <A HREF="cookbook_4.html#IDX47">instruction::num_srcs()</A>, <A HREF="cookbook_5.html#IDX115">instruction::num_srcs()</A>, <A HREF="cookbook_6.html#IDX189">instruction::num_srcs()</A>
<LI><A HREF="cookbook_4.html#IDX99">instruction::opcode()</A>, <A HREF="cookbook_5.html#IDX167">instruction::opcode()</A>, <A HREF="cookbook_6.html#IDX240">instruction::opcode()</A>, <A HREF="cookbook_7.html#IDX295">instruction::opcode()</A>
<LI><A HREF="cookbook_3.html#IDX20">instruction::print()</A>, <A HREF="cookbook_4.html#IDX45">instruction::print()</A>, <A HREF="cookbook_5.html#IDX113">instruction::print()</A>, <A HREF="cookbook_6.html#IDX187">instruction::print()</A>
<LI><A HREF="cookbook_6.html#IDX244">instruction::set_src_op()</A>, <A HREF="cookbook_7.html#IDX305">instruction::set_src_op()</A>
<LI><A HREF="cookbook_3.html#IDX21">instruction::src_op()</A>, <A HREF="cookbook_4.html#IDX46">instruction::src_op()</A>, <A HREF="cookbook_5.html#IDX114">instruction::src_op()</A>, <A HREF="cookbook_6.html#IDX188">instruction::src_op()</A>, <A HREF="cookbook_7.html#IDX293">instruction::src_op()</A>
<LI><A HREF="cookbook_3.html#IDX41">instructions, array</A>, <A HREF="cookbook_4.html#IDX106">instructions, array</A>, <A HREF="cookbook_5.html#IDX180">instructions, array</A>, <A HREF="cookbook_7.html#IDX317">instructions, array</A>
<LI><A HREF="cookbook_4.html#IDX100">io_array</A>, <A HREF="cookbook_5.html#IDX109">io_array</A>, <A HREF="cookbook_5.html#IDX168">io_array</A>
<LI><A HREF="cookbook_4.html#IDX69">is_lhs()</A>, <A HREF="cookbook_5.html#IDX137">is_lhs()</A>, <A HREF="cookbook_6.html#IDX210">is_lhs()</A>
<LI><A HREF="cookbook_4.html#IDX67">iter.is_empty()</A>, <A HREF="cookbook_5.html#IDX135">iter.is_empty()</A>, <A HREF="cookbook_6.html#IDX208">iter.is_empty()</A>
<LI><A HREF="cookbook_4.html#IDX66">iter.step()</A>, <A HREF="cookbook_5.html#IDX134">iter.step()</A>, <A HREF="cookbook_6.html#IDX207">iter.step()</A>
<LI><A HREF="cookbook_7.html#IDX310">iterating over structured control flow</A>
<LI><A HREF="cookbook_4.html#IDX103">iterating over the structured control flow</A>, <A HREF="cookbook_5.html#IDX177">iterating over the structured control flow</A>, <A HREF="cookbook_6.html#IDX248">iterating over the structured control flow</A>
<LI><A HREF="cookbook_7.html#IDX307">iterator, procedure</A>
</DIR>
<H2>l</H2>
<DIR>
<LI><A HREF="cookbook_7.html#IDX319">linear inequalities with symbolic coefficients</A>
<LI><A HREF="cookbook_4.html#IDX70">list.append()</A>, <A HREF="cookbook_5.html#IDX138">list.append()</A>, <A HREF="cookbook_6.html#IDX211">list.append()</A>
</DIR>
<H2>m</H2>
<DIR>
<LI><A HREF="cookbook_2.html#IDX11">Makefile.std</A>
<LI><A HREF="cookbook_3.html#IDX39">map over instructions</A>, <A HREF="cookbook_4.html#IDX104">map over instructions</A>, <A HREF="cookbook_5.html#IDX178">map over instructions</A>, <A HREF="cookbook_6.html#IDX249">map over instructions</A>, <A HREF="cookbook_7.html#IDX311">map over instructions</A>
<LI><A HREF="cookbook_3.html#IDX38">map over structured control flow</A>
</DIR>
<H2>n</H2>
<DIR>
<LI><A HREF="cookbook_7.html#IDX299">named_symcoeff_ineq</A>
<LI><A HREF="cookbook_7.html#IDX300">named_symcoeff_ineq::convert_exp()</A>
</DIR>
<H2>o</H2>
<DIR>
<LI><A HREF="cookbook_3.html#IDX18">operand</A>, <A HREF="cookbook_4.html#IDX43">operand</A>, <A HREF="cookbook_5.html#IDX111">operand</A>, <A HREF="cookbook_6.html#IDX185">operand</A>, <A HREF="cookbook_7.html#IDX292">operand</A>
<LI><A HREF="cookbook_3.html#IDX24">operand::instr()</A>, <A HREF="cookbook_4.html#IDX49">operand::instr()</A>, <A HREF="cookbook_5.html#IDX117">operand::instr()</A>, <A HREF="cookbook_6.html#IDX191">operand::instr()</A>, <A HREF="cookbook_7.html#IDX294">operand::instr()</A>
<LI><A HREF="cookbook_3.html#IDX23">operand::is_instr()</A>, <A HREF="cookbook_4.html#IDX48">operand::is_instr()</A>, <A HREF="cookbook_5.html#IDX116">operand::is_instr()</A>, <A HREF="cookbook_6.html#IDX190">operand::is_instr()</A>
</DIR>
<H2>p</H2>
<DIR>
<LI><A HREF="cookbook_2.html#IDX14">porky</A>
<LI><A HREF="cookbook_4.html#IDX68">print_arrray_access()</A>, <A HREF="cookbook_5.html#IDX136">print_arrray_access()</A>, <A HREF="cookbook_6.html#IDX209">print_arrray_access()</A>
<LI><A HREF="cookbook_2.html#IDX6">proc_sym</A>, <A HREF="cookbook_3.html#IDX25">proc_sym</A>, <A HREF="cookbook_4.html#IDX50">proc_sym</A>, <A HREF="cookbook_5.html#IDX118">proc_sym</A>, <A HREF="cookbook_6.html#IDX192">proc_sym</A>
<LI><A HREF="cookbook_2.html#IDX7">proc_sym::name()</A>
<LI><A HREF="cookbook_2.html#IDX8">procedure iterator</A>, <A HREF="cookbook_3.html#IDX36">procedure iterator</A>, <A HREF="cookbook_4.html#IDX101">procedure iterator</A>, <A HREF="cookbook_5.html#IDX175">procedure iterator</A>, <A HREF="cookbook_6.html#IDX246">procedure iterator</A>, <A HREF="cookbook_7.html#IDX306">procedure iterator</A>
</DIR>
<H2>s</H2>
<DIR>
<LI><A HREF="cookbook_2.html#IDX13">scc</A>
<LI><A HREF="cookbook_6.html#IDX251">simple use of the builder</A>
<LI><A HREF="cookbook_2.html#IDX15">snoot</A>
<LI><A HREF="cookbook_2.html#IDX1">start_suif()</A>, <A HREF="cookbook_3.html#IDX34">start_suif()</A>, <A HREF="cookbook_4.html#IDX59">start_suif()</A>, <A HREF="cookbook_5.html#IDX127">start_suif()</A>, <A HREF="cookbook_6.html#IDX201">start_suif()</A>, <A HREF="cookbook_7.html#IDX264">start_suif()</A>
<LI><A HREF="cookbook_2.html#IDX9">starting suif</A>, <A HREF="cookbook_3.html#IDX37">starting suif</A>, <A HREF="cookbook_4.html#IDX102">starting suif</A>, <A HREF="cookbook_5.html#IDX176">starting suif</A>, <A HREF="cookbook_6.html#IDX247">starting suif</A>, <A HREF="cookbook_7.html#IDX308">starting suif</A>
<LI><A HREF="cookbook_7.html#IDX314">suif code, changing</A>
<LI><A HREF="cookbook_7.html#IDX309">suif, starting</A>
<LI><A HREF="cookbook_2.html#IDX4">suif1.h</A>, <A HREF="cookbook_4.html#IDX62">suif1.h</A>, <A HREF="cookbook_5.html#IDX130">suif1.h</A>, <A HREF="cookbook_6.html#IDX204">suif1.h</A>
<LI><A HREF="cookbook_7.html#IDX258">suif_object</A>
<LI><A HREF="cookbook_7.html#IDX301">suif_object::prepend_annote()</A>
<LI><A HREF="cookbook_7.html#IDX265">suif_proc_iter</A>
<LI><A HREF="cookbook_2.html#IDX2">suif_proc_iter()</A>, <A HREF="cookbook_3.html#IDX33">suif_proc_iter()</A>, <A HREF="cookbook_4.html#IDX58">suif_proc_iter()</A>, <A HREF="cookbook_5.html#IDX126">suif_proc_iter()</A>, <A HREF="cookbook_6.html#IDX200">suif_proc_iter()</A>
<LI><A HREF="cookbook_2.html#IDX10">SUIFHOME</A>
<LI><A HREF="cookbook_6.html#IDX245">symbol::is_var()</A>
<LI><A HREF="cookbook_7.html#IDX312">symbols, using and creating</A>
</DIR>
<H2>t</H2>
<DIR>
<LI><A HREF="cookbook_4.html#IDX96">TREE_BLOCK</A>, <A HREF="cookbook_5.html#IDX164">TREE_BLOCK</A>, <A HREF="cookbook_6.html#IDX237">TREE_BLOCK</A>, <A HREF="cookbook_7.html#IDX273">TREE_BLOCK</A>
<LI><A HREF="cookbook_4.html#IDX95">tree_block</A>, <A HREF="cookbook_5.html#IDX163">tree_block</A>, <A HREF="cookbook_6.html#IDX236">tree_block</A>, <A HREF="cookbook_7.html#IDX287">tree_block</A>
<LI><A HREF="cookbook_4.html#IDX97">tree_block::body()</A>, <A HREF="cookbook_5.html#IDX165">tree_block::body()</A>, <A HREF="cookbook_6.html#IDX238">tree_block::body()</A>, <A HREF="cookbook_7.html#IDX288">tree_block::body()</A>
<LI><A HREF="cookbook_4.html#IDX75">tree_for</A>, <A HREF="cookbook_5.html#IDX143">tree_for</A>, <A HREF="cookbook_6.html#IDX216">tree_for</A>, <A HREF="cookbook_7.html#IDX274">tree_for</A>
<LI><A HREF="cookbook_4.html#IDX74">TREE_FOR</A>, <A HREF="cookbook_5.html#IDX142">TREE_FOR</A>, <A HREF="cookbook_6.html#IDX215">TREE_FOR</A>, <A HREF="cookbook_7.html#IDX270">TREE_FOR</A>
<LI><A HREF="cookbook_4.html#IDX82">tree_for::body()</A>, <A HREF="cookbook_5.html#IDX150">tree_for::body()</A>, <A HREF="cookbook_6.html#IDX223">tree_for::body()</A>
<LI><A HREF="cookbook_7.html#IDX279">tree_for::body();</A>
<LI><A HREF="cookbook_4.html#IDX79">tree_for::index()</A>, <A HREF="cookbook_5.html#IDX147">tree_for::index()</A>, <A HREF="cookbook_6.html#IDX220">tree_for::index()</A>
<LI><A HREF="cookbook_4.html#IDX81">tree_for::landing_pad()</A>, <A HREF="cookbook_5.html#IDX149">tree_for::landing_pad()</A>, <A HREF="cookbook_6.html#IDX222">tree_for::landing_pad()</A>, <A HREF="cookbook_7.html#IDX278">tree_for::landing_pad()</A>
<LI><A HREF="cookbook_4.html#IDX76">tree_for::lb_list()</A>, <A HREF="cookbook_5.html#IDX144">tree_for::lb_list()</A>, <A HREF="cookbook_6.html#IDX217">tree_for::lb_list()</A>, <A HREF="cookbook_7.html#IDX276">tree_for::lb_list()</A>
<LI><A HREF="cookbook_4.html#IDX78">tree_for::step_list()</A>, <A HREF="cookbook_5.html#IDX146">tree_for::step_list()</A>, <A HREF="cookbook_6.html#IDX219">tree_for::step_list()</A>, <A HREF="cookbook_7.html#IDX277">tree_for::step_list()</A>
<LI><A HREF="cookbook_4.html#IDX77">tree_for::ub_list()</A>, <A HREF="cookbook_5.html#IDX145">tree_for::ub_list()</A>, <A HREF="cookbook_6.html#IDX218">tree_for::ub_list()</A>, <A HREF="cookbook_7.html#IDX275">tree_for::ub_list()</A>
<LI><A HREF="cookbook_4.html#IDX83">tree_if</A>, <A HREF="cookbook_5.html#IDX151">tree_if</A>, <A HREF="cookbook_6.html#IDX224">tree_if</A>, <A HREF="cookbook_7.html#IDX280">tree_if</A>
<LI><A HREF="cookbook_4.html#IDX84">TREE_IF</A>, <A HREF="cookbook_5.html#IDX152">TREE_IF</A>, <A HREF="cookbook_6.html#IDX225">TREE_IF</A>, <A HREF="cookbook_7.html#IDX271">TREE_IF</A>
<LI><A HREF="cookbook_4.html#IDX87">tree_if::else_part()</A>, <A HREF="cookbook_5.html#IDX155">tree_if::else_part()</A>, <A HREF="cookbook_6.html#IDX228">tree_if::else_part()</A>, <A HREF="cookbook_7.html#IDX283">tree_if::else_part()</A>
<LI><A HREF="cookbook_4.html#IDX85">tree_if::header()</A>, <A HREF="cookbook_5.html#IDX153">tree_if::header()</A>, <A HREF="cookbook_6.html#IDX226">tree_if::header()</A>, <A HREF="cookbook_7.html#IDX281">tree_if::header()</A>
<LI><A HREF="cookbook_4.html#IDX86">tree_if::then_part()</A>, <A HREF="cookbook_5.html#IDX154">tree_if::then_part()</A>, <A HREF="cookbook_6.html#IDX227">tree_if::then_part()</A>, <A HREF="cookbook_7.html#IDX282">tree_if::then_part()</A>
<LI><A HREF="cookbook_3.html#IDX28">tree_instr</A>, <A HREF="cookbook_4.html#IDX53">tree_instr</A>, <A HREF="cookbook_4.html#IDX92">tree_instr</A>, <A HREF="cookbook_5.html#IDX121">tree_instr</A>, <A HREF="cookbook_5.html#IDX160">tree_instr</A>, <A HREF="cookbook_6.html#IDX195">tree_instr</A>, <A HREF="cookbook_6.html#IDX233">tree_instr</A>, <A HREF="cookbook_7.html#IDX290">tree_instr</A>
<LI><A HREF="cookbook_3.html#IDX35">TREE_INSTR</A>, <A HREF="cookbook_4.html#IDX93">TREE_INSTR</A>, <A HREF="cookbook_5.html#IDX161">TREE_INSTR</A>, <A HREF="cookbook_6.html#IDX234">TREE_INSTR</A>, <A HREF="cookbook_7.html#IDX289">TREE_INSTR</A>
<LI><A HREF="cookbook_3.html#IDX29">tree_instr::instr()</A>, <A HREF="cookbook_4.html#IDX54">tree_instr::instr()</A>, <A HREF="cookbook_4.html#IDX94">tree_instr::instr()</A>, <A HREF="cookbook_5.html#IDX122">tree_instr::instr()</A>, <A HREF="cookbook_5.html#IDX162">tree_instr::instr()</A>, <A HREF="cookbook_6.html#IDX196">tree_instr::instr()</A>, <A HREF="cookbook_6.html#IDX235">tree_instr::instr()</A>, <A HREF="cookbook_7.html#IDX291">tree_instr::instr()</A>
<LI><A HREF="cookbook_4.html#IDX89">TREE_LOOP</A>, <A HREF="cookbook_5.html#IDX157">TREE_LOOP</A>, <A HREF="cookbook_6.html#IDX230">TREE_LOOP</A>, <A HREF="cookbook_7.html#IDX272">TREE_LOOP</A>
<LI><A HREF="cookbook_4.html#IDX88">tree_loop</A>, <A HREF="cookbook_5.html#IDX156">tree_loop</A>, <A HREF="cookbook_6.html#IDX229">tree_loop</A>, <A HREF="cookbook_7.html#IDX284">tree_loop</A>
<LI><A HREF="cookbook_4.html#IDX90">tree_loop::body()</A>, <A HREF="cookbook_5.html#IDX158">tree_loop::body()</A>, <A HREF="cookbook_6.html#IDX231">tree_loop::body()</A>, <A HREF="cookbook_7.html#IDX285">tree_loop::body()</A>
<LI><A HREF="cookbook_4.html#IDX91">tree_loop::test()</A>, <A HREF="cookbook_5.html#IDX159">tree_loop::test()</A>, <A HREF="cookbook_6.html#IDX232">tree_loop::test()</A>, <A HREF="cookbook_7.html#IDX286">tree_loop::test()</A>
<LI><A HREF="cookbook_3.html#IDX26">tree_node</A>, <A HREF="cookbook_4.html#IDX51">tree_node</A>, <A HREF="cookbook_5.html#IDX119">tree_node</A>, <A HREF="cookbook_6.html#IDX193">tree_node</A>, <A HREF="cookbook_7.html#IDX254">tree_node</A>, <A HREF="cookbook_7.html#IDX267">tree_node</A>
<LI><A HREF="cookbook_3.html#IDX27">tree_node::kind()</A>, <A HREF="cookbook_4.html#IDX52">tree_node::kind()</A>, <A HREF="cookbook_4.html#IDX73">tree_node::kind()</A>, <A HREF="cookbook_5.html#IDX120">tree_node::kind()</A>, <A HREF="cookbook_5.html#IDX141">tree_node::kind()</A>, <A HREF="cookbook_6.html#IDX194">tree_node::kind()</A>, <A HREF="cookbook_6.html#IDX214">tree_node::kind()</A>
<LI><A HREF="cookbook_7.html#IDX302">tree_node::parent()</A>
<LI><A HREF="cookbook_4.html#IDX63">tree_node_list</A>, <A HREF="cookbook_4.html#IDX71">tree_node_list</A>, <A HREF="cookbook_5.html#IDX131">tree_node_list</A>, <A HREF="cookbook_5.html#IDX139">tree_node_list</A>, <A HREF="cookbook_6.html#IDX205">tree_node_list</A>, <A HREF="cookbook_6.html#IDX212">tree_node_list</A>, <A HREF="cookbook_7.html#IDX253">tree_node_list</A>, <A HREF="cookbook_7.html#IDX268">tree_node_list</A>
<LI><A HREF="cookbook_7.html#IDX303">tree_node_list::insert_after()</A>
<LI><A HREF="cookbook_7.html#IDX304">tree_node_list::remove()</A>
<LI><A HREF="cookbook_4.html#IDX72">tree_node_list_iter</A>, <A HREF="cookbook_5.html#IDX140">tree_node_list_iter</A>, <A HREF="cookbook_6.html#IDX213">tree_node_list_iter</A>, <A HREF="cookbook_7.html#IDX269">tree_node_list_iter</A>
<LI><A HREF="cookbook_2.html#IDX3">tree_proc</A>, <A HREF="cookbook_3.html#IDX30">tree_proc</A>, <A HREF="cookbook_4.html#IDX55">tree_proc</A>, <A HREF="cookbook_5.html#IDX123">tree_proc</A>, <A HREF="cookbook_6.html#IDX197">tree_proc</A>
<LI><A HREF="cookbook_7.html#IDX262">tree_proc::get_annote()</A>
<LI><A HREF="cookbook_3.html#IDX32">tree_proc::map()</A>, <A HREF="cookbook_4.html#IDX57">tree_proc::map()</A>, <A HREF="cookbook_5.html#IDX125">tree_proc::map()</A>, <A HREF="cookbook_6.html#IDX199">tree_proc::map()</A>
<LI><A HREF="cookbook_7.html#IDX263">tree_proc::prepend_annote()</A>
<LI><A HREF="cookbook_2.html#IDX5">tree_proc::proc()</A>, <A HREF="cookbook_3.html#IDX31">tree_proc::proc()</A>, <A HREF="cookbook_4.html#IDX56">tree_proc::proc()</A>, <A HREF="cookbook_5.html#IDX124">tree_proc::proc()</A>, <A HREF="cookbook_6.html#IDX198">tree_proc::proc()</A>
</DIR>
<H2>u</H2>
<DIR>
<LI><A HREF="cookbook_4.html#IDX60">useful.h</A>, <A HREF="cookbook_5.html#IDX128">useful.h</A>, <A HREF="cookbook_6.html#IDX202">useful.h</A>
<LI><A HREF="cookbook_6.html#IDX250">using and creating symbols</A>
<LI><A HREF="cookbook_5.html#IDX182">using the dependence analyzer</A>
</DIR>
<H2>v</H2>
<DIR>
<LI><A HREF="cookbook_4.html#IDX80">var_sym</A>, <A HREF="cookbook_5.html#IDX148">var_sym</A>, <A HREF="cookbook_6.html#IDX221">var_sym</A>, <A HREF="cookbook_7.html#IDX257">var_sym</A>, <A HREF="cookbook_7.html#IDX266">var_sym</A>
</DIR>

</P>

<P><HR><P>
<p>Go to the <A HREF="cookbook_1.html">first</A>, <A HREF="cookbook_7.html">previous</A>, next, last section, <A HREF="cookbook_toc.html">table of contents</A>.
</BODY>
</HTML>
